<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>LoginComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/login/login.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-login</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./login.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./login.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#errorMessage">errorMessage</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#errorsMessages">errorsMessages</a>
                            </li>
                            <li>
                                <a href="#hiddenProgress">hiddenProgress</a>
                            </li>
                            <li>
                                <a href="#loginForm">loginForm</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#buildForm">buildForm</a>
                            </li>
                            <li>
                                <a href="#login">login</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#email">email</a>
                                </li>
                                <li>
                                    <a href="#password">password</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, formBuilder: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>, authService: <a href="../injectables/AuthService.html">AuthService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">src/app/login/login.component.ts:34</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>formBuilder</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/AuthService.html" target="_self" >AuthService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="buildForm"></a>
                    <span class="name">
                        <b>
                            buildForm
                        </b>
                        <a href="#buildForm"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>buildForm()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="44"
                            class="link-to-prism">src/app/login/login.component.ts:44</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="login"></a>
                    <span class="name">
                        <b>
                            login
                        </b>
                        <a href="#login"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>login()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="50"
                            class="link-to-prism">src/app/login/login.component.ts:50</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="41"
                            class="link-to-prism">src/app/login/login.component.ts:41</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="errorMessage"></a>
                        <span class="name">
                            <b>
                            errorMessage</b>
                            <a href="#errorMessage"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">src/app/login/login.component.ts:13</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="errorsMessages"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            errorsMessages</b>
                            <a href="#errorsMessages"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>{
    email: [
      { type: &#x27;required&#x27;, message: &#x27;Email es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;100 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;2 caracteres como minimo&#x27; }
    ],
    password: [
      { type: &#x27;required&#x27;, message: &#x27;Password es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;8 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;6 caracteres como minimo&#x27; }
    ]
  }</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/login/login.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hiddenProgress"></a>
                        <span class="name">
                            <b>
                            hiddenProgress</b>
                            <a href="#hiddenProgress"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/app/login/login.component.ts:14</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="loginForm"></a>
                        <span class="name">
                            <b>
                            loginForm</b>
                            <a href="#loginForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="12" class="link-to-prism">src/app/login/login.component.ts:12</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="email"></a>
                        <span class="name"><b>email</b><a href="#email"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>email()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">src/app/login/login.component.ts:15</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="password"></a>
                        <span class="name"><b>password</b><a href="#password"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>password()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/login/login.component.ts:19</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { Validators, FormGroup, FormBuilder} from &#x27;@angular/forms&#x27;;
import { Router } from &#x27;@angular/router&#x27;;
import { AuthService } from &#x27;../services/auth.service&#x27;;
import { delay  } from &#x27;rxjs/operators&#x27;;
@Component({
  selector: &#x27;app-login&#x27;,
  templateUrl: &#x27;./login.component.html&#x27;,
  styleUrls: [&#x27;./login.component.css&#x27;]
})
export class LoginComponent implements OnInit {
  loginForm: FormGroup;
  errorMessage  &#x3D; false;
  hiddenProgress  &#x3D; false;
  get email(): any{
    // tslint:disable-next-line: no-string-literal
    return this.loginForm.get(&#x27;email&#x27;);
  }
  get password(): any{
    // tslint:disable-next-line: no-string-literal
    return this.loginForm.get(&#x27;password&#x27;);
  }
  public errorsMessages &#x3D; {
    email: [
      { type: &#x27;required&#x27;, message: &#x27;Email es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;100 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;2 caracteres como minimo&#x27; }
    ],
    password: [
      { type: &#x27;required&#x27;, message: &#x27;Password es requerido&#x27; },
      { type: &#x27;maxlength&#x27;, message: &#x27;8 caracteres como maximo&#x27; },
      { type: &#x27;minlength&#x27;, message: &#x27;6 caracteres como minimo&#x27; }
    ]
  };
  constructor(private router: Router,
              private formBuilder: FormBuilder,
              private authService: AuthService) {
                this.buildForm();
              }

  ngOnInit(): void {
  }

  buildForm(): any {
    this.loginForm &#x3D; this.formBuilder.group({
      email: [&#x27;&#x27;, [Validators.required, Validators.maxLength(100), Validators.minLength(2)]],
      password: [&#x27;&#x27;, [Validators.required, Validators.maxLength(8), Validators.minLength(6)]]
    });
  }
  login(): any {
    this.hiddenProgress &#x3D; true;
    // return this.authService.login(this.loginForm.value).subscribe(
    //   res &#x3D;&gt; {
    //     console.log(res);
    const token &#x3D; &#x27;1&#x27;;
    localStorage.setItem(&#x27;Auth_token&#x27;, token);
    this.router.navigateByUrl(&#x27;/core&#x27;).then(() &#x3D;&gt; {
      window.location.reload();
    });
    //   }, error &#x3D;&gt; {
    //     this.errorMessage &#x3D; true;
    //     this.hiddenProgress  &#x3D; false;
    //     console.log(error);
    //   }
    // );
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;modal-title&quot; mat-dialog-title&gt;
  &lt;img src&#x3D;&quot;assets/image/logo.png&quot; alt&#x3D;&quot;&quot;&gt;
  &lt;span class&#x3D;&quot;name-tool&quot;&gt;Investment&lt;/span&gt;
  &lt;button mat-icon-button mat-dialog-close class&#x3D;&quot;icon&quot;&gt;
    &lt;mat-icon&gt;close&lt;/mat-icon&gt;
  &lt;/button&gt;
&lt;/div&gt;

&lt;mat-dialog-content class&#x3D;&quot;login&quot;&gt;&lt;br&gt;
  &lt;span&gt;INICIAR SESION&lt;/span&gt;&lt;br&gt;
  &lt;mat-divider color&#x3D;&quot;primary&quot;&gt;&lt;/mat-divider&gt;
  &lt;img class&#x3D;&quot;img&quot; src&#x3D;&quot;/assets/image/undraw_login.png&quot; alt&#x3D;&quot;&quot;&gt;

  &lt;form class&#x3D;&quot;form&quot; [formGroup]&#x3D;&quot;loginForm&quot; (submit)&#x3D;&quot;login()&quot;&gt;
    &lt;mat-form-field class&#x3D;&quot;width-input&quot;&gt;
      &lt;mat-label&gt;Email&lt;/mat-label&gt;
      &lt;input matInput formControlName&#x3D;&quot;email&quot; placeholder&#x3D;&quot;Ingrese su email&quot; required&gt;
      &lt;div *ngFor&#x3D;&quot;let errorMessage of errorsMessages.email&quot;&gt;
        &lt;ng-container *ngIf&#x3D;&quot;email.hasError(errorMessage.type) &amp;&amp; (email.dirty || email.touched)&quot;&gt;
          &lt;mat-error&gt;{{errorMessage.message}}&lt;/mat-error&gt;
        &lt;/ng-container&gt;
      &lt;/div&gt;
    &lt;/mat-form-field&gt;

    &lt;mat-form-field class&#x3D;&quot;width-input&quot;&gt;
      &lt;mat-label&gt;Contraseña&lt;/mat-label&gt;
      &lt;input type&#x3D;&quot;password&quot; matInput formControlName&#x3D;&quot;password&quot; placeholder&#x3D;&quot;Ingrese su ontraseña&quot; required&gt;
      &lt;div *ngFor&#x3D;&quot;let errorMessage of errorsMessages.password&quot;&gt;
        &lt;ng-container *ngIf&#x3D;&quot;password.hasError(errorMessage.type) &amp;&amp; (password.dirty || password.touched)&quot;&gt;
          &lt;mat-error&gt;{{errorMessage.message}}&lt;/mat-error&gt;
        &lt;/ng-container&gt;
      &lt;/div&gt;
    &lt;/mat-form-field&gt;
    &lt;span *ngIf&#x3D;&#x27;errorMessage&#x27; class&#x3D;&quot;error-mesagge&quot;&gt;Email/Contraseña incorrectos&lt;/span&gt;
    &lt;button type&#x3D;&quot;submit&quot; [disabled]&#x3D;&quot;!loginForm.valid&quot; mat-raised-button color&#x3D;&quot;warn&quot;&gt;Iniciar Sesion&lt;/button&gt;
    &lt;mat-progress-bar class&#x3D;&quot;progress&quot; *ngIf&#x3D;&quot;hiddenProgress&quot; mode&#x3D;&quot;indeterminate&quot;&gt;&lt;/mat-progress-bar&gt;
  &lt;/form&gt;
  &lt;span&gt;¿Aún no tienes cuenta?&lt;a routerLink&#x3D;&quot;sign-up&quot; mat-dialog-close&gt;Regístrate&lt;/a&gt;&lt;/span&gt;
&lt;/mat-dialog-content&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./login.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.modal-title {
    background-color: #2D132C;
    font-size: 36px;
    width: 470px;
    margin: -24px 0 0 -24px;
    padding: 5px;
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.modal-title .name-tool {
    font-family: Ubuntu;
    font-style: italic;
    font-size: 1em;
    color: #fff;
    margin-left: 5px;
}

.modal-title button {
    color: #fff;
    width: 40px;
}


/*form*/

.login {
    width: 100%;
    margin: 0;
    padding: 0;
    text-align: center;
}

.login span {
    color: #272343;
    font-size: 1rem;
}

.login .img {
    margin: 20px;
}

.login .error-mesagge {
    color: #801336;
    font-size: 14px;
}

.example-form {
    width: 100%;
}

.width-input {
    width: 90%;
}

.width-input input {
    width: 100%;
}

.login button {
    width: 100%;
    height: 49px;
    margin: 15px 0 10px 0;
}

.login span a {
    color: #FF533D;
    text-decoration: none;
    margin-left: 10px;
}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="modal-title" mat-dialog-title>  <img src="assets/image/logo.png" alt="">  <span class="name-tool">Investment</span>  <button mat-icon-button mat-dialog-close class="icon">    <mat-icon>close</mat-icon>  </button></div><mat-dialog-content class="login"><br>  <span>INICIAR SESION</span><br>  <mat-divider color="primary"></mat-divider>  <img class="img" src="/assets/image/undraw_login.png" alt="">  <form class="form" [formGroup]="loginForm" (submit)="login()">    <mat-form-field class="width-input">      <mat-label>Email</mat-label>      <input matInput formControlName="email" placeholder="Ingrese su email" required>      <div *ngFor="let errorMessage of errorsMessages.email">        <ng-container *ngIf="email.hasError(errorMessage.type) && (email.dirty || email.touched)">          <mat-error>{{errorMessage.message}}</mat-error>        </ng-container>      </div>    </mat-form-field>    <mat-form-field class="width-input">      <mat-label>Contraseña</mat-label>      <input type="password" matInput formControlName="password" placeholder="Ingrese su ontraseña" required>      <div *ngFor="let errorMessage of errorsMessages.password">        <ng-container *ngIf="password.hasError(errorMessage.type) && (password.dirty || password.touched)">          <mat-error>{{errorMessage.message}}</mat-error>        </ng-container>      </div>    </mat-form-field>    <span *ngIf=\'errorMessage\' class="error-mesagge">Email/Contraseña incorrectos</span>    <button type="submit" [disabled]="!loginForm.valid" mat-raised-button color="warn">Iniciar Sesion</button>    <mat-progress-bar class="progress" *ngIf="hiddenProgress" mode="indeterminate"></mat-progress-bar>  </form>  <span>¿Aún no tienes cuenta?<a routerLink="sign-up" mat-dialog-close>Regístrate</a></span></mat-dialog-content></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'CoreComponent', 'selector': 'app-core'},{'name': 'FooterComponent', 'selector': 'app-footer'},{'name': 'HeaderComponent', 'selector': 'app-header'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LoginComponent', 'selector': 'app-login'},{'name': 'ProyectResultComponent', 'selector': 'app-proyect-result'},{'name': 'ResultComponent', 'selector': 'app-result'},{'name': 'SignUpComponent', 'selector': 'app-sign-up'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'LoginComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'LoginComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
